package com.hfkj.service;

import com.hfkj.entity.SecVersion;

import java.util.List;
import java.util.Map;

/**
 * @className: SecVersionService
 * @author: HuRui
 * @date: 2023/6/21
 **/
public interface SecVersionService {

    /**
     * 编辑数据
     * @param version
     */
    void editData(SecVersion version);

    /**
     * 发布版本
     * @param version
     */
    void releaseVersion(SecVersion version);

    /**
     * 查询详情
     * @param id
     * @return
     */
    SecVersion getDetailById(Integer id);

    /**
     * 查询版本
     * @param termType
     * @return
     */
    SecVersion getCurrentVersion(String termType);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<SecVersion> getList(Map<String, Object> param);

}
